RSSArticle Class Reference

`#import <RSSArticle.h>`

Inherits NSObject, and <RSSMutableArticle>.

## Instance Methods

(id) | - init
(id) | - initWithHeadline:url:description:date:
(void) | - notifyChange
(BOOL) | - isEqual:
(void) | - willBeReplacedByArticle:
(id) | - initFromStorageWithURL:
(id) | - initWithDictionary:
(BOOL) | - store
(NSMutableDictionary *) | - plistDictionary

## Class Methods

(id< RSSMutableArticle >) | + articleFromStorageWithURL:

## Detailed Description

An object of this class represents an article in an RSS Feed.

## Method Documentation

## articleFromStorageWithURL:()

+ (id< RSSMutableArticle >) articleFromStorageWithURL: |  | (NSString*) | anURL |

Returns the article with the URL anURL from the storage

Provided by category RSSArticle(Storage).

References RSSFactory::sharedFactory.

## init()

- (id) init |  |  |

Standard initializer. You shouldn't use this. Better use initWithHeadline:url:description:date:

See also
  - initWithHeadline:url:description:date:

References initWithHeadline:url:description:date:.

Referenced by initWithHeadline:url:description:date:.

## initFromStorageWithURL:()

- (id) initFromStorageWithURL: |  | (NSString*) | anURL |

Initialises the article with the URL anURL from the storage.

Initialises the article with the URL anURL from the storage.

Deprecated:

Calling this method is generally a bad idea, since it doesn't allow you to decide on load-time which article is going to be created. Better use one of the RSSFactory methods for article unarchiving.

Provided by category RSSArticle(Storage).

References initWithDictionary:, and RSSFactory::sharedFactory.

## initWithDictionary:()

- (id) initWithDictionary: |  | (NSDictionary*) | aDictionary |

Initialises the article instance with the contents of the aDictionary variable.

Provided by category RSSArticle(Storage).

References RSSFactory::sharedFactory.

Referenced by initFromStorageWithURL:.

## initWithHeadline:url:description:date:()

- (id) initWithHeadline: |  | (NSString*) | myHeadline
url: |  | (NSString*) | myUrl
description: |  | (NSString*) | myDescription
date: |  | (NSDate*) | myDate

Designated initializer for the RSSArticle class.

Don't create RSSArticle objects yourself. Create a RSSFeed object and let it fetch the articles for you!

Parameters

  myHeadline | A NSString containing the headline of the article.
  myUrl | A NSString containing the URL of the full version of the article.
  myDescription | An excerpt of the article text or the full text.
  myDate | The date as NSDate object on which this article was posted.

See also
  RSSFeed

References init, and notifyChange.

Referenced by init.

## isEqual:()

- (BOOL) isEqual: |  | (id) | anObject |

RSS Articles are equal if both the article headlines and the article URLs are equal. If they are equal is tested by calling the isEqual: method on those.

## notifyChange()

- (void) notifyChange |  |  |

Sends a change notification to the notification center. Useful for subclassing.

Referenced by initWithHeadline:url:description:date:, and willBeReplacedByArticle:.

## plistDictionary()

- (NSMutableDictionary *) plistDictionary |  |  |

Returns the dictionary that stores the information for this article object.

Provided by category RSSArticle(Storage).

Referenced by store.

## store()

- (BOOL) store |  |  |

Stores the article (usually as a file in the Reader folder).

Provided by category RSSArticle(Storage).

References plistDictionary.

## willBeReplacedByArticle:()

- (void) willBeReplacedByArticle: |  | (id<RSSMutableArticle>) | newArticle |

This method is intended to make sure that the replacing article keeps some fields from the old (this) article. Subclasses will probably want to override this, but shouldn't forget calling the super implementation, first.

References notifyChange.

The documentation for this class was generated from the following files:

- RSSArticle.h
- RSSArticle.m